Copy PageUpdate Payment Linkpatch https://business.mamopay.com/manage_api/v1/links/{linkId}Allows a user to update payment link detailsPath ParamslinkIdstringrequiredDefaults to MB-LINK-6BB7CA8DC7Payment link IDBody Paramsnamestringlength between 1 and 75Defaults to Chocolate Box - SmallThe title of the payment linkdescriptionstringlength ≤ 75Defaults to 12pcs Chocolate BoxPayment description. This will appear on the payment checkout page.capacityintegerDefaults to 1The number of times a payment link can be used. The capacity will be ignored when the subscription params exist.activebooleanDefaults to truetruefalsereturn_urluriDefaults to https://myawesomewebsite.com/paymentSuccessThe URL which the customer will be redirected to after a successful payment.failure_return_urluriDefaults to https://failureurl.com/paymentFailureThe URL which the customer will be redirected to after a failure payment.terms_and_conditions_urluriThe URL to the terms and conditions page, if provided, the customer will be required to accept the terms before proceeding to payment.processing_fee_percentagenumber≥ 2Defaults to 3amountnumber≥ 2Defaults to 119.99amount could be 0 with save_card 'required' option for card verificationamount_currencystringDefaults to AEDCurrency code for the payment amount. Accepted currencies are configured by Mamo and can change; see Supported currencies for the current list. Tabby is available for AED only, American Express cards can pay in AED or USD only, and hold_and_charge_later supports a narrower set of currencies.link_typestringenumDefaults to standaloneType of link to be created.standalonemodalinlineAllowed:standalonemodalinlineenable_tabbybooleanDefaults to falseEnables the ability for customers to buy now and pay later.truefalseenable_messagebooleanDefaults to falseEnables the ability for customers to add a message during the checkout process.truefalseenable_tipsbooleanDefaults to falseEnables the tips option. This will be displayed on the first screen.truefalsesave_cardstringenumDefaults to offAllows the merchant to enable the option to store card details to be used later on for Merchant Initiated Transactions.offoptionalrequiredAllowed:offoptionalrequiredenable_customer_detailsbooleanDefaults to falseEnables adding customer details such as the name, email, and phone number. This screen will be displayed before the payment details screen.truefalseenable_quantitybooleanDefaults to falseWhen enabled, customers can specify the number of items they intend to purchase. This quantity will serve as a multiplier for the base amount.truefalseenable_qr_codebooleanDefaults to falseAdds the ability to verify a payment through a QR code.truefalsesend_customer_receiptbooleanDefaults to falseEnables the sending of customer receipts.truefalsepayment_methodsarrayAn array of accepted payment methods, card always apart of default option. Example: ['card', 'wallet']payment_methodsrulesobjectSetting the rule for payment linkrules objectsubscription_idstringThe identifier of an existing subscription (created via the Create Subscription API) to attach to this payment link. This is the recommended way to create a subscription payment link — create the subscription first, then pass its identifier here. Requires link_type to be inline.subscriptionobjectLegacy, backwards-compatible way to configure a subscription inline, to be populated if this payment link is for a subscription. Otherwise, this property can be left out. New integrations should use the subscription_id field instead, together with the Create Subscription API.subscription objectfirst_namestringTop-level prefill field. The customer's first name, stored in the link's prefilled_customer and pre-populated at checkout. Note: prefill is driven only by these top-level first_name, last_name, email and phone_number fields — the prefilled_customer object is returned in responses but is ignored if sent in the request body.last_namestringTop-level prefill field. The customer's last name, stored in the link's prefilled_customer and pre-populated at checkout.emailstringTop-level prefill field. The customer's email, stored in the link's prefilled_customer and pre-populated at checkout.phone_numberstringTop-level prefill field. The customer's phone number, stored in the link's prefilled_customer and pre-populated at checkout.external_idstringhold_and_charge_laterbooleanDefaults to falseIndicates whether to place the payment on hold and charge it later using the "captures" API.truefalsecustom_dataobjectcustom_data objectpayouts_shareobject | nullSplit that routes part of each payment to a recipient. Send payouts_share: null to remove an existing split from the link. When setting a split, supply recipient_id and exactly one of percentage_to_recipient or amount_to_recipient (not both).payouts_share object | nullHeadersAuthorizationstringResponses 200Successful response 403Unauthorised 404Invalid request 500Unexpected errorUpdated 6 months ago Fetching Payment LinksDelete Payment LinkDid this page help you?YesNo